Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 615559 - -C as non-root should use system or per-user cache dir as appropriate
-C as non-root should use system or per-user cache dir as appropriate
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
15
All Linux
low Severity low
: ---
: ---
Assigned To: Fedora Packaging Toolset Team
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-17 01:00 EDT by Matt McCutchen
Modified: 2014-01-21 18:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 16:15:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt McCutchen 2010-07-17 01:00:01 EDT
Description of problem:
I noticed that yum and yum-utils behave differently when run by a non-root user with -C: yum always uses the system cache dir (/var/cache/yum), while yum-utils always uses a per-user cache dir (/var/tmp/yum-$USER-XXXXXX).  I think the most useful behavior for all programs would be to use the per-user cache dir if it already exists, or otherwise the system cache dir.  This improved logic ought to be implemented in YumBase.setCacheDir so it doesn't have to be duplicated (potentially incorrectly) in each program.

Version-Release number of selected component (if applicable):
yum-3.2.27-4.fc13.noarch

How reproducible:
Always

Steps to Reproduce:
1. Temporarily move /var/cache/yum out of the way.
2. Run as non-root: yum makecache && yum -C list yum
3. Put /var/cache/yum back in place.
4. Delete any cache dir for the current user in /var/tmp.
5. Run: package-cleanup -C --orphans

Actual results:
Step 2: "Error: Cannot access repository dir /var/cache/yum/x86_64/13/fedora"
Step 5: "Error: Cannot access repository dir /var/tmp/yum-matt-NOMQh8/x86_64/13/fedora"

Expected results:
Step 2: Successful operation using per-user cache dir.
Step 5: Successful operation using system cache dir.
Comment 1 seth vidal 2010-07-20 09:58:03 EDT
I think this is just package-cleanup which is older and doing various things differently.
Comment 2 Matt McCutchen 2010-07-20 10:56:48 EDT
Nope:

$ yumdownloader -C filesystem
Loaded plugins: auto-update-debuginfo, presto, priorities, refresh-packagekit
[...]
Cannot access repository dir /var/tmp/yum-matt-Uikccl/x86_64/13/fedora

$ repoquery -C -qi yum-utils
Cannot access repository dir /var/tmp/yum-matt-7NfzSg/x86_64/13/fedora

In any case, I'm proposing that logic better than what either yum or yum-utils currently does be implemented in YumBase.setCacheDir so that all the programs can benefit without duplicating code.  That's why I filed the bug against yum, although the yum-utils programs will also need changes to defer to YumBase.setCacheDir rather than checking the -C options themselves.
Comment 3 Bug Zapper 2011-06-01 09:39:09 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2011-06-29 09:23:30 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 5 Matt McCutchen 2011-09-02 13:01:52 EDT
Nothing has changed in yum-3.2.29-9.fc15.noarch.
Comment 6 Fedora Admin XMLRPC Client 2012-04-27 11:42:07 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2012-08-07 16:15:56 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.